| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Properties | List of all members
IG.Lib.ICharacterBuffer Interface Reference

Interface for all implementations of read-write character buffer. Classes that implement this interface are used e.g. in string parsing and output data formatters. More...

Inheritance diagram for IG.Lib.ICharacterBuffer:
[legend]
Collaboration diagram for IG.Lib.ICharacterBuffer:
[legend]

## Public Member Functions
void | Delete (int startIndex, int length)
| Removes the specified section of the buffer. More...
void | Append (string str)
| Appends the specified string at the end of the buffer. More...
void | Append (char ch)
| Appends the specified character at the end of the buffer. More...
void | Append (char[] chArray)
| Appends the specified array of characters at the end of the buffer. More...
void | Append (List< char > chList)
| Inserts the specified list of characters at the end of the buffer. More...
void | Insert (int index, string str)
| Inserts the specified string at the specified position of the buffer. More...
void | Insert (int index, char ch)
| Inserts the specified character at the specified position of the buffer. More...
void | Insert (int index, char[] chArray)
| Inserts the specified array of characters at the specified position of the buffer. More...
void | Insert (int index, List< char > chList)
| Inserts the specified list of characters at the specified position of the buffer. More...
Public Member Functions inherited from IG.Lib.ICharacterBufferReadOnly
int | EnsureCapacity (int minCapacity)
| Ensures that the buffer's current capacity is at least the specified number of bytes. More...
string | ToString ()
| Saves buffer contents to string and returns it. More...
void | Save (string filePath, bool append)
| Saves buffer contents to a text file. More...
void | Save (string filePath)
| Saves buffer contents to a text file. If the file already exists then it is overwritten. More...

## Properties
new char | this[int index]`[get, set]`
| Character with the specified index. More...
Properties inherited from IG.Lib.ICharacterBufferReadOnly
int | Length`[get, set]`
| Current length of the buffer or object represented by the buffer. More...
int | Capacity`[get, set]`
| Buffer current capacity. More...
char | this[int index]`[get]`
| Character with the specified index. More...

## Detailed Description

Interface for all implementations of read-write character buffer. Classes that implement this interface are used e.g. in string parsing and output data formatters.

$A Igor Feb09;

## Member Function Documentation

void IG.Lib.ICharacterBuffer.Delete | ( | int | startIndex,
|  | int | length
| ) |  |

Removes the specified section of the buffer.

Parameters

  startIndex | The first index of the removed text.
  length | Length of the removed section (number of characters removed).

Implemented in IG.Lib.CharacterBuffer.

void IG.Lib.ICharacterBuffer.Append | ( | string | str | ) |

Appends the specified string at the end of the buffer.

Implemented in IG.Lib.CharacterBuffer.

void IG.Lib.ICharacterBuffer.Append | ( | char | ch | ) |

Appends the specified character at the end of the buffer.

Implemented in IG.Lib.CharacterBuffer.

void IG.Lib.ICharacterBuffer.Append | ( | char[] | chArray | ) |

Appends the specified array of characters at the end of the buffer.

Implemented in IG.Lib.CharacterBuffer.

void IG.Lib.ICharacterBuffer.Append | ( | List< char > | chList | ) |

Inserts the specified list of characters at the end of the buffer.

Parameters

  chList |

Implemented in IG.Lib.CharacterBuffer.

void IG.Lib.ICharacterBuffer.Insert | ( | int | index,
|  | string | str
| ) |  |

Inserts the specified string at the specified position of the buffer.

Implemented in IG.Lib.CharacterBuffer.

void IG.Lib.ICharacterBuffer.Insert | ( | int | index,
|  | char | ch
| ) |  |

Inserts the specified character at the specified position of the buffer.

Implemented in IG.Lib.CharacterBuffer.

void IG.Lib.ICharacterBuffer.Insert | ( | int | index,
|  | char[] | chArray
| ) |  |

Inserts the specified array of characters at the specified position of the buffer.

Implemented in IG.Lib.CharacterBuffer.

void IG.Lib.ICharacterBuffer.Insert | ( | int | index,
|  | List< char > | chList
| ) |  |

Inserts the specified list of characters at the specified position of the buffer.

Implemented in IG.Lib.CharacterBuffer.

## Property Documentation

new char IG.Lib.ICharacterBuffer.this[int index]
| get set

Character with the specified index.

The documentation for this interface was generated from the following file:

- igbase/data/StringParserBuffer.cs